Skip to content
Developer

ShortLink

System and settings6 EndpointsServerManagement / ShortLink

Create a single ShortLink

POST/api/servermanagement/shortlink

Request body application/json

  • dataShortLink2
    Show fields (12)
    • short_textstring

      Short text of the link, used in the URL.

    • long_textstring

      Target URL the short link redirects to.

    • descriptionstring

      Description of the short link.

    • content_typestring

      Type of the content the link points to.

    • utm_idstring

      UTM ID used for tracking.

    • utm_sourcestring

      UTM source used for tracking.

    • utm_mediumstring

      UTM medium used for tracking.

    • utm_campaignstring

      UTM campaign used for tracking.

    • utm_termstring

      UTM term used for tracking.

    • utm_contentstring

      UTM content used for tracking.

    • tracking_providerstring

      Tracking provider of the link.

    • archivedboolean

      Whether the short link is archived.

Responses

200Create a single ShortLinkShortLink3

Show fields (20)
  • full_urlstring
  • idinteger

    Primary key of the short link. Internal ID.

  • short_textstring

    Short text of the link, used in the URL.

  • long_textstring

    Target URL the short link redirects to.

  • descriptionstring

    Description of the short link.

  • content_typestring

    Type of the content the link points to.

  • utm_idstring

    UTM ID used for tracking.

  • utm_sourcestring

    UTM source used for tracking.

  • utm_mediumstring

    UTM medium used for tracking.

  • utm_campaignstring

    UTM campaign used for tracking.

  • utm_termstring

    UTM term used for tracking.

  • utm_contentstring

    UTM content used for tracking.

  • tracking_providerstring

    Tracking provider of the link.

  • archivedboolean

    Whether the short link is archived.

  • clicks_todayinteger

    Number of clicks today.

  • clicks_weekinteger

    Number of clicks this week.

  • clicks_yearinteger

    Number of clicks this year.

  • search_stringstring

    Text that the entity can be searched by.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/servermanagement/shortlink \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "short_text": "Text",
    "long_text": "Text",
    "description": "Text",
    "content_type": "string",
    "utm_id": "42",
    "utm_source": "string"
  }
}
'
Response 200 application/json
{
  "full_url": "https://vynst.de",
  "id": 42,
  "short_text": "Text",
  "long_text": "Text",
  "description": "Text",
  "content_type": "string",
  "utm_id": "42",
  "utm_source": "string",
  "utm_medium": "string",
  "utm_campaign": "string"
}